#57 RubyCocoa 1.1.0 crash on 10.6

v1.0 (example)
closed-fixed
nobody
crash (13)
5
2009-10-14
2009-09-14
Nava Carmon
No

RubyCocoa 1.1.0 crashes on 10.6 with the following message:
Assertion failed: (ctx->autoreleasePool == NSTHREAD_autoreleasePool_get(thread)), function rb_cocoa_thread_init_context, file /Users/navacarmon/Downloads/RubyCocoa-1.0.0/framework/src/objc/RBRuntime.m, line 721.

Discussion

  • Masahide Kikkawa

    I also experienced the same problem on 10.6. The problem can be reproduced with the following short program:

    require 'net/http'
    require 'uri'
    require 'osx/cocoa'

    Net::HTTP.get_print URI.parse('http://www.example.com/index.html')

     
  • Masahide Kikkawa

    I found that the problem was solved using svn version (r2271).

     
  • Nava Carmon

    Nava Carmon - 2009-10-13

    The last version seems solves the Snow Leopard issue

     
  • kimura wataru

    kimura wataru - 2009-10-14

    thanks kikkawa and navac,
    we will release the fixed version of RubyCocoa.

     
  • kimura wataru

    kimura wataru - 2009-10-14
    • status: open --> closed-fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks